View Issue Details

IDProjectCategoryView StatusLast Update
0000989HTML & PERLFeature Request - Interfacepublic2008-03-18 12:29
Reporterpolariser Assigned Toepoximator  
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000989: Retrieve anime/groups by language
DescriptionAn option to only list anime and or groups with *releases* that satisfy the "default languages" configuration in my profile will be very handy. This will allow one to, say, find all anime with Spanish dubs and then choose which anime to watch.
Tagslanguage, search

Activities

polariser

2008-03-11 08:18

reporter   ~0001817

Thanks for implementing this! However, it appears to be slightly buggy at the moment:

When I set Spanish as the _only_ audio language in my profile and applied the language filter, I got only 23 results. It looked like it also added in a restriction for the _subtitle_ languages.

However, when I disabled all subtitle languages in my profile and refreshed the page, there appeared to be no change, as the results were still being restricted to English subtitles only.

If I enabled both English and Spanish audio languages in my profile, the filter only restricted results to "English dubs only" and not "English OR Spanish dubs only".

If I enabled both English and Spanish subtitles in my profile, the filter only restricted results to "English subtitles only" and not "English OR Spanish subtitles only".

IOW, only the first audio and subtitles options in my profile were being taken into consideration. This could well be intentional and easy to work around, though. But, if either field is empty in my profile, I'd expect it to default to "any" and if more than one option exist for either field, I'd expect an "or".

I hope that made sense. Thanks!

epoximator

2008-03-12 09:39

reporter   ~0001821

Last edited: 2008-03-12 09:40

yes, it's limited to the first preferred language atm. (latest-files is limited to the two first). if there's no pref lang, then it defaults to dub.jp+sub.en

note that you can select the language by hand @ adv. search (ie. override pref)

polariser

2008-03-12 14:29

reporter   ~0001830

Thanks for the clarification. This issue can be closed.

Issue History

Date Modified Username Field Change
2008-03-04 08:48 polariser New Issue
2008-03-06 10:24 ninjamask Tag Attached: language
2008-03-06 10:24 ninjamask Tag Attached: search
2008-03-09 15:53 epoximator Status new => assigned
2008-03-09 15:53 epoximator Assigned To => epoximator
2008-03-10 07:35 epoximator Status assigned => resolved
2008-03-10 07:35 epoximator Resolution open => fixed
2008-03-11 08:18 polariser Status resolved => feedback
2008-03-11 08:18 polariser Resolution fixed => reopened
2008-03-11 08:18 polariser Note Added: 0001817
2008-03-12 09:39 epoximator Note Added: 0001821
2008-03-12 09:40 epoximator Note Edited: 0001821
2008-03-12 14:29 polariser Note Added: 0001830
2008-03-18 12:29 epoximator Status feedback => resolved
2008-03-18 12:29 epoximator Resolution reopened => fixed